Bug 428963 - RHEL5.2: HDMI Audio support for AMD ATI chipsets
RHEL5.2: HDMI Audio support for AMD ATI chipsets
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Bhavna Sarathy
Martin Jenner
: OtherQA
Depends On:
Blocks: 253746 RHEL5u2_relnotes
  Show dependency treegraph
Reported: 2008-01-16 10:02 EST by Bhavna Sarathy
Modified: 2009-06-19 22:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bhavna Sarathy 2008-01-16 10:02:57 EST
Add HDMI support for AMD ATI chipsets to allow HDMI to work on a wide variety of
chipsets.   The patch is for RS780, RV610, RV620, RV630, RV635, RV670, RV770. 
The patch has been tested on RV610, RV630 and with the patch it works correctly. 

The next stable/unstable release of also-sriver right after version 1.0.15 will
include it, and the patch can already be found in the alsa-driver daily snapshot.
Comment 1 RHEL Product and Program Management 2008-01-16 10:17:17 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 Russell Doty 2008-01-16 11:06:13 EST
Does this work with the rs series of integrated graphics, especially rs690,
rs740 and rs780?
Comment 3 Bhavna Sarathy 2008-01-16 15:00:27 EST
The patch for RHEL adds the relevant support for RS690, and RS780.  Upstream 
code doesn't have an entry for RS740 and AMD website that talks about chipset 
7 series doesn't have RS740.   

The patch adds the device IDs and presets for sound HDMI for the various 
integrated chipsets.
Comment 4 Bhavna Sarathy 2008-01-17 16:12:51 EST
Posted to rhkernel-list on Jan 17.
Comment 5 Russell Doty 2008-01-18 16:06:17 EST
AMD will test. Hardware is in Westford (part of Griffin system).
Comment 7 Don Zickus 2008-01-22 13:52:18 EST
in 2.6.18-72.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 Don Domingo 2008-02-06 21:15:42 EST
added to RHEL5.2 release notes under "Kernel-Related Updates":

High-Definition Multimedia Interface (HDMI) is now supported on AMD ATI
integrated chipsets.

please advise if any further revisions are required. thanks!
Comment 10 Yang, Libin 2008-03-07 01:38:29 EST
Our QA has tested it on the latest kernel.

The test result is:

After using the patch, HDMI Audio is supported.

But before using HDMI Audio, we need do some modification in modprobe
configuration. please see the following for detail information:


Comment 11 Russell Doty 2008-03-14 12:49:37 EDT
Changed summary to reflect that this is HDMI audio, not HDMI video.
Comment 12 Don Domingo 2008-03-16 20:38:01 EDT
thanks Russell, revising release note as:

High-Definition Multimedia Interface (HDMI) audio is now supported on AMD ATI
integrated chipsets.
Comment 13 John Poelstra 2008-03-20 23:52:34 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner

Thank you
Comment 14 Don Domingo 2008-04-01 22:11:20 EDT
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Comment 16 errata-xmlrpc 2008-05-21 11:06:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.